Loading...
Searching...
No Matches
OMP.h File Reference
`#include <casacore/casa/aips.h>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | casacore::OMP

## Functions

uInt | casacore::OMP::maxThreads ()
| Get the maximum number of threads.
uInt | casacore::OMP::nMaxThreads ()
| Backward.
void | casacore::OMP::setNumThreads (uInt)
| Set the number of threads to use.
uInt | casacore::OMP::numThreads ()
| Get the number of threads used in a parallel piece of code.
uInt | casacore::OMP::threadNum ()
| Get the thread number (0 till numThreads).
void | casacore::OMP::setNested (Bool)
| Set if nested parallel sections are possible or not.
bool | casacore::OMP::nested ()
| Test if nested parallel sections are possible.